processing.app.platform

## Enum WindowsRegistry.REGISTRY_ROOT_KEY

- Object
- - Enum<WindowsRegistry.REGISTRY_ROOT_KEY>
  - - WindowsRegistry.REGISTRY_ROOT_KEY

- All Implemented Interfaces:
    Serializable, Comparable<WindowsRegistry.REGISTRY_ROOT_KEY>
  Enclosing class:
    WindowsRegistry

      public static enum WindowsRegistry.REGISTRY_ROOT_KEY
      extends Enum<WindowsRegistry.REGISTRY_ROOT_KEY>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSES_ROOT`
    `CURRENT_USER`
    `LOCAL_MACHINE`
    `USERS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowsRegistry.REGISTRY_ROOT_KEY` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WindowsRegistry.REGISTRY_ROOT_KEY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSES_ROOT

          public static final WindowsRegistry.REGISTRY_ROOT_KEY CLASSES_ROOT

    - #### CURRENT_USER

          public static final WindowsRegistry.REGISTRY_ROOT_KEY CURRENT_USER

    - #### LOCAL_MACHINE

          public static final WindowsRegistry.REGISTRY_ROOT_KEY LOCAL_MACHINE

    - #### USERS

          public static final WindowsRegistry.REGISTRY_ROOT_KEY USERS

  - ### Method Detail

    - #### values

          public static WindowsRegistry.REGISTRY_ROOT_KEY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowsRegistry.REGISTRY_ROOT_KEY c : WindowsRegistry.REGISTRY_ROOT_KEY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowsRegistry.REGISTRY_ROOT_KEY valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null